View Full Version : Question


Estacado
10-03-2004, 04:21 PM
Does the sendo x support most of the existing series 60 apps or do they have to be converted for the sendo x?(like other apss have to be converted for the 6600 because of its newer os)

Shadow12
11-03-2004, 07:11 AM
I think this was mentioned briefly in another post and the main conclusion was that most apps should work. Since it uses the same symbian version as other phones except for a few personelised sendo features. The reason that the 6600 cant use most of the same apps as the n-gage and other series 60 phones is due to the version of symbian it is running

N/A
11-03-2004, 08:17 AM
Originally posted by Shadow12
The reason that the 6600 cant use most of the same apps as the n-gage and other series 60 phones is due to the version of symbian it is running You can put it that way, I suppose, but the situation is really somewhat different.

The main reason is that most of the old apps use APIs that were not documented in the published Series 60 0.9/1.2 SDKs or had other unnecessary version/hardware dependencies.

Such apps won't work on Series 60 2.0 because the undocumented APIs or their behaviour changed.

The version of Symbian per se has no (intended) impact as 7.0s has been designed to be binary/backwards compatible with code written for 6.1.

knh4
11-03-2004, 01:43 PM
Originally posted by N/A
You can put it that way, I suppose, but the situation is really somewhat different.

The main reason is that most of the old apps use APIs that were not documented in the published Series 60 0.9/1.2 SDKs or had other unnecessary version/hardware dependencies.

Such apps won't work on Series 60 2.0 because the undocumented APIs or their behaviour changed.

The version of Symbian per se has no (intended) impact as 7.0s has been designed to be binary/backwards compatible with code written for 6.1.

Could somebody translate that into English please?:D

langdona
11-03-2004, 02:49 PM
Translation ;) They did not write the code to the documented standards.

MisterBlue
11-03-2004, 04:42 PM
That old software question.

I dont want to look pessimistic, but, any series 60 phone will only be stable when working with the preinstalled base software.

Any other third part software, compatible or not, designed specifficaly or not, will make your phone get crashy sooner or later.

Shadow12
12-03-2004, 07:17 AM
Thanks for the detail explanation N/A!